Wireshark-dev: Re: [Wireshark-dev] Anyone of the developers going to support Win98 (and alike)
From: Guy Harris <[email protected]>
Date: Mon, 28 Aug 2006 19:33:38 -0700
On Aug 28, 2006, at 7:22 PM, Andreas Fink wrote:

Now I'm on the last bit. Wireshark itself and I hit one error I can't figure out what I'm doing wrong:
here's the last few lines of output from make:

...L/usr/local/lib /usr/local/lib/libgmodule-2.0.dylib /usr/lib/ libc.dylib /usr/local/lib/libglib-2.0.dylib /usr/local/lib/ libintl.dylib -lc /usr/local/lib/libpcre.dylib -ladns /usr/local/lib/ libgnutls.dylib /usr/lib/libz.dylib /usr/local/lib/libgcrypt.dylib / usr/local/lib/libgpg-error.dylib /usr/lib/libiconv.dylib -L/usr/lib - lkrb5 -lk5crypto -lkrb5support -lcom_err -lresolv -lnetsnmp -lwrap - lcrypto -lm -lz -pg -Wl,-search_paths_first -install_name /usr/ local/lib/libwireshark.0.dylib -Wl,-compatibility_version -Wl,1 -Wl,- current_version -Wl,1.1
ld: warning multiple definitions of symbol _locale_charset
/usr/lib/libiconv.dylib(localcharset.o) definition of _locale_charset
/usr/local/lib/libintl.dylib(localcharset.o) definition of _locale_charset ld: common symbols not allowed with MH_DYLIB output format with the - multi_module option
/usr/local/lib/libadns.a(event.o) definition of common _data (size 16)
I don't build with ADNS; I'll have to install it and see what happens.

FYI The following packages had to be installed for GTK2 version under MacOS X
ftp://ftp.gtk.org/pub/glib/2.12/glib-2.12.0.tar.bz2
http://pkgconfig.freedesktop.org/releases/pkg-config-0.21.tar.gz
ftp://mirror.switch.ch/mirror/gnu/gettext/gettext-0.14.6.tar.gz
http://pkgconfig.freedesktop.org/releases/pkg-config-0.21.tar.gz
http://ftp.gnome.org/pub/gnome/sources/atk/1.12/atk-1.12.1.tar.gz
http://cairographics.org/releases/cairo-1.2.4.tar.gz
You didn't list GTK+ as one of the packages; presumably you're  
building it with one of the newer versions (2.12?).
ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng-1.2.12.tar.gz
It should be possible to configure GTK+ not to use them.

ftp://ftp.simplesystems.org/pub/libpng/png/src/zlib-1.2.3.tar.bz2
Why isn't the zlib that comes with the OS sufficient?

ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz (reqires make install-headers and make install-lib in addition)
See previous comment about the jpeg libarary.

http://download.savannah.gnu.org/releases/freetype/freetype-2.2.1.tar.gz (requires --with-freetype-config=/usr/X11R6/bin/freetype-config)
The one that comes with OS X isn't sufficient?  I think it's a bit  
old, so it might not be.
http://fontconfig.org/release/fontconfig-2.3.2.tar.gz
Ditto.

ftp://ftp.remotesensing.org/pub/libtiff/tiff-3.8.2.tar.gz
It should be possible to configure GTK+ not to use it.

I don't think we use any of the GTK+ capabilities that involve JPEG, PNG, or TIFF images.